# OpenSSHKnownHosts.HashedEntry (sshj 0.7.0 API)
Date: 2012-01-08

## net.schmizz.sshj.transport.verification
Class OpenSSHKnownHosts.HashedEntry

    java.lang.Object
      net.schmizz.sshj.transport.verification.OpenSSHKnownHosts.AbstractEntry
          net.schmizz.sshj.transport.verification.OpenSSHKnownHosts.HashedEntry

All Implemented Interfaces:
  OpenSSHKnownHosts.HostEntry

Enclosing class:
  OpenSSHKnownHosts

    public static class OpenSSHKnownHosts.HashedEntry

extends OpenSSHKnownHosts.AbstractEntry

Field Summary

Fields inherited from class net.schmizz.sshj.transport.verification.OpenSSHKnownHosts.AbstractEntry
`key, marker, type`

Constructor Summary
`OpenSSHKnownHosts.HashedEntry(OpenSSHKnownHosts.Marker marker, String hash, KeyType type, PublicKey key)`

Method Summary
`boolean` `appliesTo(KeyType type, String host)`
`protected String` `getHostPart()`
`String` `getLine()`

Methods inherited from class net.schmizz.sshj.transport.verification.OpenSSHKnownHosts.AbstractEntry
`verify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenSSHKnownHosts.HashedEntry

    public OpenSSHKnownHosts.HashedEntry(OpenSSHKnownHosts.Marker marker,
                                         String hash,
                                         KeyType type,
                                         PublicKey key)
                                  throws SSHException

Throws:
  `SSHException`

Method Detail

### appliesTo

    public boolean appliesTo(KeyType type,
                             String host)
                      throws IOException

  Throws:
    `IOException`

### getLine

    public String getLine()

  Specified by:
    `getLine` in interface `OpenSSHKnownHosts.HostEntry`
  Overrides:
    `getLine` in class `OpenSSHKnownHosts.AbstractEntry`

### getHostPart

    protected String getHostPart()

  Specified by:
    `getHostPart` in class `OpenSSHKnownHosts.AbstractEntry`

Copyright © 2009-2012. All Rights Reserved.